# Class: ChartStatetrail

## ChartStatetrail()

#### new ChartStatetrail()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - alpha/chart-statetrail.js, line 141

### Members

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

## ChartStatetrail()

#### new ChartStatetrail()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - alpha/chart-statetrail.js, line 141

### Members

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

## ChartStatetrail()

#### new ChartStatetrail()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - alpha/chart-statetrail.js, line 141

### Members

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### componentVersion

Component version

Source:
  - alpha/chart-statetrail.js, line 100

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### maxTime

The maximum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 125

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### minTime

The minimum timestamp for the time axis

Source:
  - alpha/chart-statetrail.js, line 123

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### opts

Default component options

Source:
  - alpha/chart-statetrail.js, line 103

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### totalDuration

The total duration of the time axis

Source:
  - alpha/chart-statetrail.js, line 127

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - alpha/chart-statetrail.js, line 132

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - alpha/chart-statetrail.js, line 164

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - alpha/chart-statetrail.js, line 148

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - alpha/chart-statetrail.js, line 155